[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.5121543.svg)](http://dx.doi.org/10.5281/zenodo.5121543)

This is a collection of European Portuguese verbal paradigms, in phonemic notation.
They are suited for both computational and manual analysis. The `paradigms` table lists all
available lexemes, and provides full paradigms for each. The `segments` table lists all phonemes
used in the transcription, and describes them in terms of distinctive features.

Version 1.0.1 of this lexicon was prepared for the publication: 

- Sacha Beniamine, Olivier Bonami, and Ana R. Luís (In press), The fine implicative structure of European Portuguese conjugation, Isogloss. Open Journal of Romance Linguistics.

The data can be downloaded [from zenodo](http://dx.doi.org/10.5281/zenodo.5121543) or from the [gitlab repository](https://gitlab.com/sbeniamine/europeanportugueseverbs/-/releases).

## How this lexicon was prepared

We selected the 5000 most frequent verb lexemes in the  CETEMPúblico corpus (Santos and Rocha, 2001), relying on frequency lists provided by the [AC/DC project](https://www.linguateca.pt/acesso/contabilizacao.php\#listaPosCETEMPUBLICO). Full paradigms in phonemic transcriptions for these verbs were generated using pronunciation dictionaries and text to speech tools developed at the University of Coimbra  (Candeias, Veiga,and Perdigão, 2015; Marquiafável et al., 2014). We made further adjustments by hand. In the process, a handful of verbs had to be excluded.

### References 

- See [https://lsi.co.it.pt/verbos/](https://lsi.co.it.pt/verbos/) for full paradigms with orthographic forms, transcriptions, and audio synthesis. Transcriptions may vary slightly from the conventions used here.
- Candeias, Sara, Arlindo Veiga, and Fernando Perdigão (2015). [*Pronunciação de Verbos Portugueses - Guia Prático.* LIDEL.](https://www.lidel.pt/pt/catalogo/portugues-europeu-lingua-estrangeira/gramatica/pronunciacao-de-verbos-portugueses/)
- Marquiafável,Vanessaetal.(Oct.2014).“Rule-Based Algorithms for Automatic Pronunciation of Portuguese Verbal Inflections”. In: *International Conf. on ComputationalProcessing of Portuguese - PROPOR*. Vol. 8775, pp. 36–47. DOI: [10.1007/978-3-319-09761-9_4](https://www.doi.org/10.1007/978-3-319-09761-9_4).
- Santos, Diana and Paulo Rocha (2001). [“Evaluating CETEMPúblico, a free resource for Portuguese”](https://aclanthology.org/P01-1058). In: *Proceedings of the 39th Annual Meeting of the Association for Computational Linguistics*, pp. 450–457. DOI: [10.3115/1073012.1073070](http://dx.doi.org/10.3115/1073012.1073070)

### Scripts

The only dependency is `pandas` (version `1.2.4` was used). The python version used was `3.8`.
To re-generate the lexicon, navigate to the data repository and run:

~~~
 python3 src/format_lexicon.py            
~~~

To run tests:

~~~
python3 -m unittest tests/test_lexicon.py
~~~


## Format

The data files are encoded in `csv` files, and the metadata follows [frictionless](https://frictionlessdata.io/) standards.
